aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorKarel Kočí <cynerd@email.cz>2017-12-11 21:44:32 +0100
committerKarel Kočí <cynerd@email.cz>2017-12-11 21:44:32 +0100
commit7bca6e89a438f6df52fd022f881ba6af1f1eea54 (patch)
tree6e9cae88a3c00d1ef3e16a9fa7e87447c4da56b2 /tests
parent4e55c50c55eb34bc771fe7fa5d18d5e8d175ead8 (diff)
downloadqtmips-7bca6e89a438f6df52fd022f881ba6af1f1eea54.tar.gz
qtmips-7bca6e89a438f6df52fd022f881ba6af1f1eea54.tar.bz2
qtmips-7bca6e89a438f6df52fd022f881ba6af1f1eea54.zip
Fix qt5 qmake not found on some distributions and todo
Diffstat (limited to 'tests')
-rw-r--r--tests/test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/test.sh b/tests/test.sh
index d04d380..1302bf4 100644
--- a/tests/test.sh
+++ b/tests/test.sh
@@ -68,7 +68,7 @@ qtmips_make() {
mkdir -p "$BUILD_DIR"
local ORIG="$(pwd)"
cd "$BUILD_DIR"
- /usr/lib64/qt5/bin/qmake "$PROJECT_ROOT" || echo_fail "QtMips qmake failed!"
+ qtchooser -run-tool=qmake -qt=5 "$PROJECT_ROOT" || echo_fail "QtMips qmake failed!"
make "$@" || echo_fail "QtMips build failed! (target: $@)"
cd "$ORIG"
}